Skip to navigation

Get Target Creation Property Values

Returns the valid values for a target-creation property on a connection that supports creating new target objects.

Connections which support creating new sync target objects (destinations) will return target_creation with their target object list. This endpoint will return possible values for properties where enum is true.

If the connection does not support creating new target objects, an HTTP 404 will be returned.

The values array lists the valid options (and labels) for the property. Each member of the values array has a label and value. For exaample,

{
"data": [
{
"id": "account",
"title": "Account ID",
"enum": true,
"values": [
{
"value": "1234567::urn:li:organization:987654",
"label": "Polytomic Inc. (1234567)"
}
]
}
]
}

The value for the selected option should be passed when creating a sync.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"
propertystringRequired

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobjectOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error